Lisp AutoCAD – Separate Hatch

The topic today: Lisp AutoCAD – Separate Hatch Shortcut command: BRH Step to step as follow: Load Lisp Type BRH and Enter Pick Pline Pick Separative Hatch region Code Lisp: (defun c:BRH () (grtext -1 “”) (setq Pline (car (entsel “\n Pick Pline”)) e (entsel “\nPick Area Hatch “) hObj (car e) pt (cadr e) ) (command “.trim”… Read More »

Lisp AutoCAD – Align Dimension

The topic today: Share Lisp AutoCAD – Align Dimension The shortcut command is BD Step to step use the following: Load Lisp Type BD and press Enter Select Dimensions and Enter Select Point to extend Code Lisp: (defun myerror (s) ; If an error (such as CTRL-C) occurs ; while this command is active… (cond ((= s “quit… Read More »

How to use Rotate command in AutoCAD 2023?

The topic today: How to use Rotate command in AutoCAD 2023. AutoCAD 2023 offers an array of features and commands to make designing, drafting, and modeling easier for its users. One such essential tool is the Rotate command, which allows you to effortlessly rotate objects in your drawing to the desired angle. In this comprehensive guide, we will… Read More »

How to create new Dimension style in AutoCAD 2023?

The topic today: How to create a new Dimension style in AutoCAD 2023? Creating a new dimension style in AutoCAD 2023 involves several steps. Here’s a step-by-step process for doing it: 1. Open AutoCAD 2023 and load any drawing where you want to create a new dimension style. 2. Type `DIMSTYLE` or `D` in the command line and… Read More »

Lisp AutoCAD – Associative Hatch

The topic today: Lisp AutoCAD – Associative Hatch or Merge Hatch Shortcut command: MH Step to step as follow: Load Lisp into AutoCAD Type MH and press Enter Select Hatch Press Enter Code Lisp: (defun c:mh (/ ss entht sl i dt dtht) (princ “\nMerge Hatch”) (setq ss (ssget ‘((0 . “HATCH”))) sl (if ss (sslength ss) 0… Read More »